package controller.listener;

import model.drawables.Polygon;
import controller.DrawableObjectProcessing;

/**
 * @see PolygonListener
 * @author Nicolas Neubauer
 * 
 */
public class PolygonFilledListener extends PolygonListener {

	/**
	 * @param delegate
	 * @see PolygonListener
	 */
	public PolygonFilledListener(DrawableObjectProcessing delegate) {
		super(delegate);
	}

	/**
	 * Erzeugt ein gefülltes Polygon.
	 * 
	 * @return gefülltes Polygon
	 */
	protected Polygon createPolygon() {
		return new Polygon(tmpPoints, true);
	}

}
